me.legofreak107.vehiclesplus.vehicles.api

## Class VehiclesPlusAPI

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.api.VehiclesPlusAPI

    public class VehiclesPlusAPI
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`VehiclesPlusAPI()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`StorageVehicle` `createVehicle(BaseVehicle baseVehicle, org.bukkit.entity.Player vehicleOwner)`
`BaseVehicle` `getBaseVehicleFromString(java.lang.String name)`
`static VehiclesPlusAPI` `getInstance()`
`static MainManager` `getMainManager()`
`java.util.List<StorageVehicle>` `getPlayerVehicles(org.bukkit.entity.Player player)`
`void` `removeVehicle(StorageVehicle v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VehiclesPlusAPI

    public VehiclesPlusAPI()

### Method Detail

#### getInstance

    public static VehiclesPlusAPI getInstance()

#### createVehicle

    public StorageVehicle createVehicle(BaseVehicle baseVehicle,
                                        @Nullable
                                        org.bukkit.entity.Player vehicleOwner)

#### getPlayerVehicles

    public java.util.List<StorageVehicle> getPlayerVehicles(org.bukkit.entity.Player player)

#### removeVehicle

    public void removeVehicle(StorageVehicle v)

#### getBaseVehicleFromString

    public BaseVehicle getBaseVehicleFromString(java.lang.String name)

#### getMainManager

    public static MainManager getMainManager()